%{!?svn_rev:%define svn_rev 0}

Summary: ADCM - Multichannel digitizer control program
Name: adcm
Version: 1.2.1
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/adcm
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: /usr/bin/mlink_load
Release: 2.%{svn_rev}%{?dist}
BuildRequires: mlink-devel = 1.28

# Custom built Qwt linked against qt-3.3
Requires: qwt-qt3 >= 5.1.1
BuildRequires: qwt-qt3-devel >= 5.1.1

# FFTW 2.1 from EPEL repository
Requires: fftw2 >= 2.1
BuildRequires: fftw2-devel >= 2.1

%if 0%{?fedora}
Requires: akmod-mlink = 1.28
Requires: qt3 >= 3.3.6
BuildRequires: qt3-devel >= 3.3.6
%else
Requires: kmod-mlink = 1.28
Requires: qt >= 3.3.6
BuildRequires: qt-devel >= 3.3.6
%endif

%description
ADCM is a control program for multichannel digitizer boards (ADCM-16, ADCM-LTC, etc.)
The software is capable of online signal reconstruction: it calculates signal time and amplitude
from raw adc data.

%package devel
Summary: ADCM data file structures
Group: Development/Libraries
Requires: mlink-devel

%description devel
Header files describing adcm data file structures

%prep
%setup -q

%build
make all QTDIR=%{_libdir}/qt-3.3 svn_rev=%{svn_rev} PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc ChangeLog COPYING README

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h

%changelog

* Fri Feb  5 2010  <Ilja.Slepnev@jinr.ru>
- Version 1.2.1: support for 2xADCM16-LTC
- bugs fixed

* Thu Dec 11 2008  <Ilja.Slepnev@jinr.ru> - 
- Refactored: run control, code cleanup
- Link down handler

* Tue Nov 18 2008  <Ilja.Slepnev@jinr.ru> - 
- Initial build.

